import os
import re
import datetime

ZIP_FILE_NAME_PATTERN = r"(-|_|\+|\.)(v|r)?[0-9]+(.*).zip$"
ADDON_DIRECTORY = "./AddOns"
ZIP_DIRECTORY = "./Archives"
PATCH_DIRECTORY = "./Patches"

ADDONS = {
    "questie": "Questie",
    # "omen-threat-meter": "Omen",
    # "ora3": "oRA3",
    "bagnon": "Bagnon",
    "sexymap": "SexyMap",
    "atlaslootclassic":"AtlasLootClassic",
    "atlas-classicwow": "Atlas_ClassicWow",
    "dbm-pvp": "DBM-PvP",
    "deadly-boss-mods": "DBM",
    "scrap": "Scrap",
    "quartz": "Quartz",
    "bartender4": "Bartender4",
    "vuhdo": "VuhDo",
    "power-auras-classic-v4": "PowerAuras",
    "tacotip-gearscore-talents": "TacoTip",
    "details": "Details.DF.Wrath",
    # "weakauras-2": "WeakAuras",
}



def get_current_version(name):
    latest_version = None
    for file in os.listdir(ZIP_DIRECTORY):
        if re.findall(name + ZIP_FILE_NAME_PATTERN, file, flags=re.IGNORECASE):
            file = os.path.join(ZIP_DIRECTORY, file)
            modified = datetime.datetime.fromtimestamp(os.path.getmtime(file))
            if latest_version is None or modified > latest_version:
                latest_version = modified

    return latest_version

def get_original_zip(name):
    latest_version = None
    latest_file = None
    for file in os.listdir(ZIP_DIRECTORY):
        if re.findall(name + ZIP_FILE_NAME_PATTERN, file, flags=re.IGNORECASE):
            file = os.path.join(ZIP_DIRECTORY, file)
            modified = datetime.datetime.fromtimestamp(os.path.getmtime(file))
            if latest_version is None or modified > latest_version:
                latest_version = modified
                latest_file = file

    return latest_file