#!/bin/bash


if [ $# -lt 1 ]; then
  echo "Invalid usage: $0 <file>"
  exit
fi

FILE=$1
if [ ! -f "$FILE" ]; then
    echo "File not found: $FILE"
    exit
fi

FILE_NAME=$(basename $FILE)
if [ ! $FILE -ef ./AddOns/$FILE_NAME ]; then
    cp $FILE ./AddOns/
fi

for dir in $(zipinfo -1 $FILE | grep '/' | awk -F '/' '{print $1}' | sort -u); do
  rm -rfd ./AddOns/$dir
done

unzip $FILE -d ./AddOns/
